Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service.util
Class ServiceGroupMetaData

    java.lang.Object
      org.wso2.wsas.admin.service.util.ServiceGroupMetaData

    public class ServiceGroupMetaData

extends java.lang.Object

Constructor Summary
`ServiceGroupMetaData()`

Method Summary
`java.lang.String` | `getEnableMTOM()` Check if MTOM is available at this point
`java.lang.String` | `getGroup_id()`
`java.lang.String` | `getGroup_name()`
`java.lang.String` | `getGroup_version()`
`java.lang.String` | `getServiceContextPath()`
`java.lang.String[]` | `getServices()`
`java.lang.String[]` | `getServiceTypes()`
`void` | `setEnableMTOM(java.lang.String enableMTOM)` Set MTOM status
`void` | `setGroup_id(java.lang.String group_id)`
`void` | `setGroup_name(java.lang.String group_name)`
`void` | `setGroup_version(java.lang.String group_version)`
`void` | `setServiceContextPath(java.lang.String serviceContextPath)`
`void` | `setServices(java.lang.String[] services)`
`void` | `setServiceTypes(java.lang.String[] serviceTypes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceGroupMetaData

    public ServiceGroupMetaData()

Method Detail

### getGroup_id

    public java.lang.String getGroup_id()

### setGroup_id

    public void setGroup_id(java.lang.String group_id)

### getGroup_version

    public java.lang.String getGroup_version()

### setGroup_version

    public void setGroup_version(java.lang.String group_version)

### getGroup_name

    public java.lang.String getGroup_name()

### setGroup_name

    public void setGroup_name(java.lang.String group_name)

### getServices

    public java.lang.String[] getServices()

### setServices

    public void setServices(java.lang.String[] services)

### getServiceContextPath

    public java.lang.String getServiceContextPath()

### setServiceContextPath

    public void setServiceContextPath(java.lang.String serviceContextPath)

### getServiceTypes

    public java.lang.String[] getServiceTypes()

### setServiceTypes

    public void setServiceTypes(java.lang.String[] serviceTypes)

### getEnableMTOM

    public java.lang.String getEnableMTOM()

  Check if MTOM is available at this point

  Returns:
    boolean

### setEnableMTOM

    public void setEnableMTOM(java.lang.String enableMTOM)

  Set MTOM status

  Parameters:
    `enableMTOM` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD